Subject: Iridaceae seed sources
From: [email-masked] (John A Gerrath)
Date: 13 Aug 1994 03:41:31 GMT
Newsgroups: bionet.plants

I'm really interested in growing some of the wilder members of the 
Iridaceae (the Iris family).  I am looking for four genera in 
particular (all from the southern hemisphere): Isophysis (Tasmanian, 
semi-superior ovary!), and the "bushy" South-African genera Witsenia, 
Nivenia and Klattia (I've only seen these three in pictures, but they 
sort of look like Iris rhizomes tilted up into the air into a shrub-like 
aspect).  Any information about good seed sources that ship to Canada 
would be much appreciated. (I've tried Chiltern's, Plant World, Seederama and 
Banana Tree without success). Thanks in advance.

John Gerrath,
[email-masked]